Đến nội dung


Hình ảnh
- - - - -

[Yêu cầu] Lisp vẽ polyline vuông góc bằng pick 2 điểm.


  • Please log in to reply
9 replies to this topic

#1 enix

enix

    biết vẽ ellipse

  • Members
  • PipPip
  • 56 Bài viết
Điểm đánh giá: 3 (bình thường)

Đã gửi 27 March 2015 - 03:33 PM

Do yêu cầu công việc nên em cần 1 lisp có yêu cầu như sau:
Khi pick 2 điểm lisp sẽ tự động vẽ 1 polyline có góc vuông qua 2 điểm đó.
Nó tương tự như lệnh rec vẽ hình chữ nhật, nhưng em chỉ muốn polyline vẽ 1 nửa hcn này thôi, bên nào cũng được.
Em vẽ ra cho mấy bác dễ hình dung.
Thanks mấy bác.
http://upfile.vn/FQB...ng-goc-dwg.html
  • 0

#2 enix

enix

    biết vẽ ellipse

  • Members
  • PipPip
  • 56 Bài viết
Điểm đánh giá: 3 (bình thường)

Đã gửi 27 March 2015 - 03:46 PM

Sao trắng xác vậy, cadviet bị lỗi ah?


  • 0

#3 gia_bach

gia_bach

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 1436 Bài viết
Điểm đánh giá: 1426 (rất tốt)

Đã gửi 27 March 2015 - 03:53 PM

 

Do yêu cầu công việc nên em cần 1 lisp có yêu cầu như sau:
Khi pick 2 điểm lisp sẽ tự động vẽ 1 polyline có góc vuông qua 2 điểm đó.
Nó tương tự như lệnh rec vẽ hình chữ nhật, nhưng em chỉ muốn polyline vẽ 1 nửa hcn này thôi, bên nào cũng được.
Em vẽ ra cho mấy bác dễ hình dung.
Thanks mấy bác.

 

Tôi quote thì thấy như thế này. (không thấy hình)


  • 0

#4 enix

enix

    biết vẽ ellipse

  • Members
  • PipPip
  • 56 Bài viết
Điểm đánh giá: 3 (bình thường)

Đã gửi 27 March 2015 - 03:59 PM

Tôi quote thì thấy như thế này. (không thấy hình)

 

Em đã up link upfive, còn đính kèm đang bị gì ko đính kèm được >.<


  • 0

#5 gia_bach

gia_bach

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 1436 Bài viết
Điểm đánh giá: 1426 (rất tốt)

Đã gửi 27 March 2015 - 04:08 PM

Do yêu cầu công việc nên em cần 1 lisp có yêu cầu như sau:
Khi pick 2 điểm lisp sẽ tự động vẽ 1 polyline có góc vuông qua 2 điểm đó.
Nó tương tự như lệnh rec vẽ hình chữ nhật, nhưng em chỉ muốn polyline vẽ 1 nửa hcn này thôi, bên nào cũng được.
Em vẽ ra cho mấy bác dễ hình dung.
Thanks mấy bác.
http://upfile.vn/FQB...ng-goc-dwg.html

Nếu hai điểm nằm ngang hoặc thẳng đứng thì sao ?


  • 0

#6 enix

enix

    biết vẽ ellipse

  • Members
  • PipPip
  • 56 Bài viết
Điểm đánh giá: 3 (bình thường)

Đã gửi 27 March 2015 - 04:17 PM

Nếu hai điểm nằm ngang hoặc thẳng đứng thì sao ?

 

Nếu đứng hay ngang thì vẽ polyline nối 2 điểm đó thôi bác ơi, tại em cần đo chiều dài của polyline đó.


  • 0

#7 pphung183

pphung183

    biết dimstyle

  • Members
  • PipPipPipPipPip
  • 384 Bài viết
Điểm đánh giá: 425 (tốt)

Đã gửi 27 March 2015 - 04:19 PM

(defun c:plvg (/ os p1 p2 p11 p22 p3)
(setq os (getvar "osmode")) 
(setq p1 (getpoint "\n Chon diem bat dau ")
p2 (getpoint p1 "\n Chon diem thu hai "))
(setq p11 (polar p1 (* pi 0.5) 1) p22 (polar p2 0 1) p3 (inters p1 p11 p2 p22 nil))
(setvar "osmode" 0)
(vl-cmdf "pline" p1 p3 p2 "") (setvar "osmode" os) (princ))

Code nhanh cho bạn!!!


  • 0

#8 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5454 Bài viết
Điểm đánh giá: 2626 (tuyệt vời)

Đã gửi 27 March 2015 - 04:24 PM

osmode sớm quá


  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#9 pphung183

pphung183

    biết dimstyle

  • Members
  • PipPipPipPipPip
  • 384 Bài viết
Điểm đánh giá: 425 (tốt)

Đã gửi 27 March 2015 - 04:28 PM

Chỉnh lại tí :D


  • 0

#10 enix

enix

    biết vẽ ellipse

  • Members
  • PipPip
  • 56 Bài viết
Điểm đánh giá: 3 (bình thường)

Đã gửi 27 March 2015 - 04:44 PM

(defun c:plvg (/ os p1 p2 p11 p22 p3)
(setq os (getvar "osmode")) 
(setq p1 (getpoint "\n Chon diem bat dau ")
p2 (getpoint p1 "\n Chon diem thu hai "))
(setq p11 (polar p1 (* pi 0.5) 1) p22 (polar p2 0 1) p3 (inters p1 p11 p2 p22 nil))
(setvar "osmode" 0)
(vl-cmdf "pline" p1 p3 p2 "") (setvar "osmode" os) (princ))

Code nhanh cho bạn!!!

 

 

Chuẩn rồi thanks bác nhiều nhiều ^.^


  • 0